Bug 524203 - use enchant instead of aspell
Summary: use enchant instead of aspell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kadu
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Radek Lisowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 11:24 UTC by Caolan McNamara
Modified: 2010-09-29 22:51 UTC (History)
3 users (show)

Fixed In Version: 0.6.5.4-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-29 22:51:16 UTC


Attachments (Terms of Use)
patch to do this (7.22 KB, patch)
2009-09-18 11:24 UTC, Caolan McNamara
no flags Details | Diff

Description Caolan McNamara 2009-09-18 11:24:49 UTC
Created attachment 361627 [details]
patch to do this

Description of problem:
As described at http://fedoraproject.org/wiki/Releases/FeatureDictionary we've
been trying to unify spell checking across the desktop for some time. In that
vein attached is a patch to support using enchant as a spellchecking backend
for kadu which enables it to share the same spelling dictionaries as
OpenOffice?.org, Firefox, etc.

This patch also fixes a bug where kadu crashes when you move a language from the available list to the applied list and back in preferences when spellchecker module is enabled

I haven't been able to submit this upstream as the forum and tracker are all in Polish :-) If you could at least forward this along to the upstream developers  for me that'd be very helpful.

Comment 1 Bug Zapper 2009-11-16 12:36:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Julian Sikorski 2010-01-12 21:35:32 UTC
Even though I'm not the maintainer, I forwarded this upstream:
http://www.kadu.net/forum/viewtopic.php?f=9&t=10271

Comment 3 Piotr P 2010-01-13 22:29:42 UTC
Hi, 

Thank you for this patch Caolan, and thanks for forwarding this to us Julian. Fix is already commited: http://www.kadu.net/viewvc/kadu?view=revision&revision=7262

Comment 4 Fedora Admin XMLRPC Client 2010-07-28 17:20:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.